@if (vm$ | async; as vm) {
  <div
    [ngClass]="['desk-header', jds.d('flex'), jds.justifyContent('between')]"
  >
    <h5>{{ label }}</h5>
    <div [ngClass]="[jds.w(475)]">
      <div
        jdsBiInputGroup
        variant="element"
      >
        <input
          [(ngModel)]="vm.filterSearch"
          [colorScheme]="colorScheme"
          [placeholder]="getPlaceholder(vm.filterType)"
          (keyup.enter)="onSearch(vm.filterSearch)"
          name="search"
          type="text"
          jdsBiInput
        />
        <jds-bi-input-right-element>
          <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
            <jds-bi-icon
              *ngIf="vm.filterSearch"
              [ngClass]="[jds.me(8)]"
              [color]="jdsBiColor.gray['500']"
              [style.cursor]="'pointer'"
              (click)="onSearch('')"
              name="circle-xmark"
            />
            <button
              [colorScheme]="colorScheme"
              [isIconOnly]="true"
              (click)="onSearch(vm.filterSearch)"
              jdsBiButton
              variant="solid"
            >
              <jds-bi-icon
                [size]="14"
                name="magnifying-glass"
              />
            </button>
          </div>
        </jds-bi-input-right-element>
      </div>
    </div>
  </div>
}
